Subject: bug#78773: [PATCH] Speedup url-retrieve-synchronously for low-latency connections

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jun 2025 21:28:52 +0300

> From: Steven Allen <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 14 Jun 2025 11:23:58 -0700
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > No, I mean other callers of the same low-level functionality, for
> > example, url-retrieve.
> >
> > Once again, the C function where you propose changes is used in a wide
> > variety of scenarios, and several clients of it could be active at the
> > same time.
> 
> In that case, `accept-process-output' will process output for those
> other processes as usual (calling filters/sentinels, etc.) but won't
> return call until we have data that's relevant to this call to
> `url-retrieve-synchronously'. We haven't set JUST-THIS-ONE in this call
> to `accept-process-output' so we won't simply *ignore* all other process
> output.
> 
> To be clear, calling `accept-process-output' with a nil process is the
> exception, not the norm (8 out of 105 call sites).

That might be, but in this particular case we changed the call to give
it the nil argument for a reason, and it will be hard to convince me
to go back on that decision.  So I suggest to explore other ways of
solving this first.